<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:47:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DataPRO version 4.0.885
 
In new config file no IgnoreShortedStart and IgnoreShortedTrigger are present
 
Running a 92 client on a local db:
 
 
 
Running a 92 client with a 91 db
 
 
 
Enabling both Ignore shorted start and Ignore shorted trigger in system settings
 
 
and going back to edit test setup</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-03-14T17:49:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-14T17:20:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48369 is 4.0 reversal of accidentally committing changes to LocalDbHost and UseNTLMAuthentication.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-03T18:46:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-03-02T22:41:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48362 is 4.0; 48363 is 4.1.

Insert the DefaultIgnoreShortedStart/Trigger properties into the DefaultProperties table and assign their values based on those in the old config file (if they exist), and insert also into the UserProperties table.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-02T22:41:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48355 is 4.0; 48356 is 4.1.

Now that IgnoreShortedStart and IgnoreShortedTrigger are no longer in the new config file, look in the old config file when needed during database migration.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-03-01T22:41:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-03-01T22:39:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-03-01T00:26:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-03-01T00:26:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Re-opened to add to the SVN Revision(s) field.</Comment>
    <StatusString>Reopened</StatusString>
    <TimeStamp>2023-03-01T00:25:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>48347 is 4.0; 48348 is 4.1.

Upon further review, and contrary to the comment below on 12/15/2022, it IS appropriate to remove IgnoreShortedStart and IgnoreShortedTrigger from the config file.

If a Version 92-based client is using a Version 91 database, these will be added to the DefaultProperties and UserProperties tables when the Version 92-based client first uses the database.

When a Version 92-based client imports a Test Setup that was exported from a Version 91-based client, these are already in the DefaultProperties and UserProperties tables.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-01T00:25:10Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Bug 30109 has been opened to backport to 4.0</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-01-16T23:12:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified w/ DP 4.1.151
 
92 database:
 
 
By default both Ignore shorted start &amp;&amp; Ignore shorted trigger are disabled. 
 
New Test Setup:
 
 
Old imported test setup:
 
 
Quick Build: ✔
 
Using 91 database with 92 client (4.1.151): 
 
 
Enabling in system settings:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-01-11T20:03:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Link to bug 30033</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-01-03T19:37:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>case 30066 case to update manual</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-01-03T19:04:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-01-03T18:31:21Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-01-03T18:26:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>47962 is 4.1

To test:

Verify that the default values in System Settings | Test setup settings | Test Details are respected when a new Test Setup is being Added, an old Test Setup is imported, and Quick Build is done from a DAS that had been used with an old version of DataPRO.

Verify that the new checkboxes in Edit Test Setup | Test Details are disabled and reflect the default settings when an older database (Version 91) is used.

Verify that the new checkboxes can be modified (checked/unchecked) when a Version 92 database is used, and that shorts (Start and Trigger) are ignored or not depending on the values.
</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2022-12-16T00:06:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Instead of removing the settings from the config file, they remain so that if a Version 92 client is using a Version 91 database, the user can control the values by checking/unchecking the setting(s) in System Settings | Test setup settings | Test Details.  This also allows an import of a Version 91 Test Setup while running a Version 92 client, to use these settings since they are not in the Test Setup that was exported by a Version 91 client.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-12-15T23:35:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-12-13T20:11:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-12-12T22:45:05Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-12-08T01:32:17Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-29T16:12:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-15T20:51:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-11-01T20:22:33Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-01T20:14:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-10-27T14:58:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2022-10-27T14:58:43Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>